EDIT - bug #9834

Cannot create a nomenclatural standard abbreviation in the Reference author team
10/29/2021 10:23 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.28

Severity: blocker Found in Version:

Description

Bug applies to Release/Test:

Unale to create nomenclatural authors, once a new reference or a in-reference is created.

This is critical, because nomenclatural authors might be created shortly before publication.

Only if an reference author is a nomenenclatural author, the nomenclatural author abbreviation is checked and created.

Available nomenclatural authors are displayed, and can be edited.

Associated revisions

Revision ea112e7e - 11/02/2021 04:02 PM - Andreas Kohlbecker

fix #9834 adding lost nomenclaturalTitleButton again & removing debug code modification

History

#1 - 11/01/2021 06:08 PM - Andreas Kohlbecker

- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Target version changed from Unassigned CDM tickets to Release 5.28

| cant reproduce the reported problem.

e Did you test this with the test system?
e |f yes, could you give some more details on how to reproduce the issue?

#2 - 11/02/2021 10:50 AM - Wolf-Henning Kusber

Cannot create a nomenclatural standard abbreviation in the Reference author team.

Also das ist das Problem? Autoren kénnen schon angelegt werden aber bei neuen Autoren kann der nomCache nicht editert werden?

#3 - 11/02/2021 12:13 PM - Wolf-Henning Kusber
Same problem in the Test system
| added in the test system a "test" name with the respective author, who cannot be edited in Vaadin.

#4 - 11/02/2021 02:14 PM - Andreas Kohlbecker

Henning:

Um ein konkretes Beispiel zu haben in 100970 (paper Takano et al. 2014) gibt es einen bibliographischen Autoren "Inouye", Gber das Autorenteam in
der Referenz konnte ich bisher das Feld fir den Nomenklatorischen Autoren aufklappen und den eintragen (nachdem "friher" immer Autor, 1.I. als

default eingetragen war und ich nur korrigieren musste (Release Version)

#5 - 11/02/2021 02:37 PM - Andreas Kohlbecker

Cannot create a nomenclatural standard abbreviation in the Reference author team.
Also das ist das Problem? Autoren kdnnen schon angelegt werden aber bei neuen Autoren kann der nomCache nicht editert werden?

#6 - 11/02/2021 02:39 PM - Andreas Kohlbecker
- File picture338-1.png added
#7 - 11/02/2021 04:02 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|eal12e7e945ad66460e4cdf9570f00597ed220c5.

#8 - 11/02/2021 04:28 PM - Andreas Kohlbecker

please review

#9 - 11/02/2021 11:00 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:

please review

... and change the ticket subject to "Cannot create a nomenclatural standard abbreviation in the Reference author team." if this matches the issue
better

#10 - 11/03/2021 12:04 PM - Wolf-Henning Kusber

- Subject changed from Unable to create nomenclatural authors to Cannot create a nomenclatural standard abbreviation in the Reference author team

04/09/2024 2/3


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/ea112e7e945ad66460e4cdf9570f00597ed220c5

- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Bug fixed, ticket closed THANKS!
